Debian Bug report logs - #221173
ldap-utils: LDAP utils should check DNS for SRV records in order to locate LDAP server

version graph

Package: ldap-utils; Maintainer for ldap-utils is Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>; Source for ldap-utils is src:openldap.

Reported by: Russell Howe <rhowe@wiss.co.uk>

Date: Mon, 17 Nov 2003 00:48:02 UTC

Severity: wishlist

Tags: fixed-upstream, upstream

Found in version 2.1.23-1

Fixed in version openldap2.3/2.4.7-2

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://www.openldap.org/its/index.cgi/Development?id=4996

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#221173; Package ldap-utils. Full text and rfc822 format available.

Acknowledgement sent to Russell Howe <rhowe@wiss.co.uk>:
New Bug report received and forwarded. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russell Howe <rhowe@wiss.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ldap-utils: LDAP utils should check DNS for SRV records in order to locate LDAP server
Date: Mon, 17 Nov 2003 00:37:51 +0000
Package: ldap-utils
Version: 2.1.23-1
Severity: wishlist

It would be nice if the LDAP utils were able to make use of SRV records in
DNS for locating LDAP servers on the network.

[rhowe@paobu] ~ $ host -t srv ldap.tcp.rsnet
ldap.tcp.rsnet          SRV     1 0 389 ldap.rsnet

This specifies a priority of 1 for that entry, a load-balancing weighting of
0, and that an LDAP server can be found at port 389 on ldap.rsnet.

I think the MS LDAP stuff as found in their Active Directory adds entries,
albeit as _ldap._tcp.domain, so maybe checking for SRV records of that form
could be done too.

Has this been requested before now? I'm not averse to coding up a patch to
the utilities to add this support, if it's likely to be incorporated.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux paobu 2.6.0-test9 #3 Sat Nov 15 13:28:20 GMT 2003 i686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (ignored: LC_ALL set to en_GB.UTF-8)

Versions of packages ldap-utils depends on:
ii  libc6                       2.3.2.ds1-10 GNU C Library: Shared libraries an
ii  libgcrypt1                  1.1.12-3     LGPL Crypto library - runtime libr
ii  libgnutls7                  0.8.9-2      GNU TLS library - runtime library
ii  libldap2                    2.1.23-1     OpenLDAP libraries
ii  libsasl2                    2.1.15-5     Authentication abstraction library
ii  libtasn1-0                  0.1.2-1      Manage ASN.1 structures (runtime)
ii  zlib1g                      1:1.1.4-14   compression library - runtime

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#221173; Package ldap-utils. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #10 received at 221173@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: Russell Howe <rhowe@wiss.co.uk>, 221173@bugs.debian.org
Subject: Re: [debian-openldap] Bug#221173: ldap-utils: LDAP utils should check DNS for SRV records in order to locate LDAP server
Date: Sun, 16 Nov 2003 19:12:11 -0600
[Message part 1 (text/plain, inline)]
On Mon, Nov 17, 2003 at 12:37:51AM +0000, Russell Howe wrote:
> Package: ldap-utils
> Version: 2.1.23-1
> Severity: wishlist

> It would be nice if the LDAP utils were able to make use of SRV records in
> DNS for locating LDAP servers on the network.

> [rhowe@paobu] ~ $ host -t srv ldap.tcp.rsnet
> ldap.tcp.rsnet          SRV     1 0 389 ldap.rsnet

> This specifies a priority of 1 for that entry, a load-balancing weighting of
> 0, and that an LDAP server can be found at port 389 on ldap.rsnet.

> I think the MS LDAP stuff as found in their Active Directory adds entries,
> albeit as _ldap._tcp.domain, so maybe checking for SRV records of that form
> could be done too.

> Has this been requested before now? I'm not averse to coding up a patch to
> the utilities to add this support, if it's likely to be incorporated.

Could you explain how you foresee this being useful from the ldap-utils?
SRV records are most useful where you want to specify who provides a
given service for a known DNS domain.  Where would you expect to specify
the DNS domain in question, other than as the argument to the -h option
(in which case, SRV lookups would conflict nastily with the traditional
behavior of this option)?

I like SRV records myself and think they're under-used, but I certainly
wouldn't want to see a behavior change like this without upstream's
buy-in.

Also, the use of the _ (underscore) in the SRV record is part of RFC
2782, so is by no means specific to the Microsoft implementation.  This
meaningfully distinguishes them from other classic DNS record types,
where underscores are not permitted.

Cheers,
-- 
Steve Langasek
postmodern programmer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#221173; Package ldap-utils. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #15 received at 221173@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: "Russell G. Howe" <rhowe@wiss.co.uk>, 221173@bugs.debian.org
Subject: Re: [debian-openldap] Bug#221173: ldap-utils: LDAP utils should check DNS for SRV records in order to locate LDAP server
Date: Tue, 18 Nov 2003 11:45:29 -0600
[Message part 1 (text/plain, inline)]
[CC:ed back to the bug, so this rationale is documented there]

On Tue, Nov 18, 2003 at 12:32:50AM +0000, Russell G. Howe wrote:
> On Sun, Nov 16, 2003 at 07:12:11PM -0600, Steve Langasek wrote:

> > Could you explain how you foresee this being useful from the ldap-utils?
> > SRV records are most useful where you want to specify who provides a
> > given service for a known DNS domain.  Where would you expect to specify
> > the DNS domain in question, other than as the argument to the -h option
> > (in which case, SRV lookups would conflict nastily with the traditional
> > behavior of this option)?

> if -h is not specified, and ldapsearch were to look up a SRV record for
> _ldap._tcp and got a response, would it not be sensible to assume that
> the information was returned by virtue of the DNS search path and to
> attempt to use the server in the response for LDAP queries, with -h
> available as an override mechanism?

> It just seems to me that the way LDAP is designed, as a lightweight
> version of X.500, i.e. as a global directory that for a specific site
> there should be a single point of entry into the LDAP database, via one
> or more replicated servers, and that SRV records would be an ideal way
> to discover the location of the local ldap server, if any.

> Following on from that, since LDAP seems to be intended as a part of the
> network infrastructure, having to specify the location of the LDAP
> server with every request seems more than a bit painful. I am trying to
> think of a way to make "ldapsearch $criteria" 'just work' from any host
> on the network.

Ok, you've at least convinced me that this would be viable.

> PS Don't I know you from Undernet #linux?

Not me, must be another Vorlon...

Cheers,
-- 
Steve Langasek
postmodern programmer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#221173; Package ldap-utils. Full text and rfc822 format available.

Acknowledgement sent to "Russell G. Howe" <rhowe@wiss.co.uk>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #20 received at 221173@bugs.debian.org (full text, mbox):

From: "Russell G. Howe" <rhowe@wiss.co.uk>
To: Steve Langasek <vorlon@netexpress.net>
Cc: 221173@bugs.debian.org
Subject: Re: [debian-openldap] Bug#221173: ldap-utils: LDAP utils should check DNS for SRV records in order to locate LDAP server
Date: Tue, 18 Nov 2003 20:05:30 +0000
On Tue, Nov 18, 2003 at 11:45:29AM -0600, Steve Langasek wrote:
> [CC:ed back to the bug, so this rationale is documented there]
>
> Ok, you've at least convinced me that this would be viable.

I feel like playing with gcc tonight, so I'll get out DNS&BIND and see
what it would take to implement this, then I'll actually try and do it,
and if I get that far, I'll see what it's like in practise.

If I can produce a patch which works and I think is decent enough for
consideration, I'll pass it on.

If it does get into OpenLDAP, then there's still the question of whether
or not such behaviour is in line with Debian policy, but we don't need
to go there yet :)

> > PS Don't I know you from Undernet #linux?
> 
> Not me, must be another Vorlon...

Hm, I recognised the name, not the nick. Grepping my mail archive, it
looks like I must've seen your name on the wine mailing list.

-- 
Russell Howe     | Why be just another cog in the machine,
rhowe@wiss.co.uk | when you can be the spanner in the works?



Information forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#221173; Package ldap-utils. Full text and rfc822 format available.

Acknowledgement sent to Roland Bauerschmidt <rb@debian.org>:
Extra info received and forwarded to list. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #25 received at 221173@bugs.debian.org (full text, mbox):

From: Roland Bauerschmidt <rb@debian.org>
To: "Russell G. Howe" <rhowe@wiss.co.uk>, 221173@bugs.debian.org
Subject: Re: Bug#221173: [debian-openldap] Bug#221173: ldap-utils: LDAP utils should check DNS for SRV records in order to locate LDAP server
Date: Wed, 19 Nov 2003 19:26:50 +0100
Russell G. Howe wrote:
> I feel like playing with gcc tonight, so I'll get out DNS&BIND and see
> what it would take to implement this, then I'll actually try and do it,
> and if I get that far, I'll see what it's like in practise.
> 
> If I can produce a patch which works and I think is decent enough for
> consideration, I'll pass it on.

Since libkrb5 does this, you might want to have a look at that
code...

Roland



Noted your statement that Bug has been forwarded to http://www.openldap.org/its/index.cgi/Incoming?id=4996. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2007 05:36:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#221173; Package ldap-utils. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 221173@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Russell Howe <rhowe@wiss.co.uk>
Cc: 221173@bugs.debian.org
Subject: Re: Bug#221173: ldap-utils: LDAP utils should check DNS for SRV records in order to locate LDAP server
Date: Mon, 11 Jun 2007 20:33:08 -0700
Hi Russell,

Back in 2003, you submitted a wishlist bug against the Debian ldap-utils
package:

> It would be nice if the LDAP utils were able to make use of SRV records in
> DNS for locating LDAP servers on the network.

I wanted to let you know that I forwarded this to the OpenLDAP developers
and they have just committed an implementation of this to the OpenLDAP
sources.  From the bug report (ITS #4996):

| Committed to HEAD.  Command-line clients now use DNS SRV to look up the
| host names related to a DN and build a list of URIs for subsequent use.
| To trigger, use -H "<proto>:///DN".  The <host> portion must be empty,
| and a DN must be present.  The DN must be in the "dc=<component>" form;
| it's turned into a domain and the host list is looked up using DNS SRV.
| After that, a list of URIs is built using the returned host/ports, and
| using <proto> as the LDAP scheme.

If you're in a position to test this (by downloading the current CVS code
of OpenLDAP following the details on http://www.openldap.org/), I'm sure
that the OpenLDAP developers would appreciate it.  Tested patches are more
likely to make it quickly into stable releases.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Forwarded-to-address changed from http://www.openldap.org/its/index.cgi/Incoming?id=4996 to http://www.openldap.org/its/index.cgi/Development?id=4996. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 12 Nov 2007 01:06:04 GMT) Full text and rfc822 format available.

Tags added: upstream, fixed-upstream Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 12 Nov 2007 01:06:05 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Fri, 21 Dec 2007 07:45:06 GMT) Full text and rfc822 format available.

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Russell Howe <rhowe@wiss.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 221173-close@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 221173-close@bugs.debian.org
Subject: Bug#221173: fixed in openldap2.3 2.4.7-2
Date: Mon, 21 Jan 2008 18:31:17 +0000
Source: openldap2.3
Source-Version: 2.4.7-2

We believe that the bug you reported is fixed in the latest version of
openldap2.3, which is due to be installed in the Debian FTP archive:

ldap-utils_2.4.7-2_amd64.deb
  to pool/main/o/openldap2.3/ldap-utils_2.4.7-2_amd64.deb
libldap-2.4-2-dbg_2.4.7-2_amd64.deb
  to pool/main/o/openldap2.3/libldap-2.4-2-dbg_2.4.7-2_amd64.deb
libldap-2.4-2_2.4.7-2_amd64.deb
  to pool/main/o/openldap2.3/libldap-2.4-2_2.4.7-2_amd64.deb
libldap2-dev_2.4.7-2_amd64.deb
  to pool/main/o/openldap2.3/libldap2-dev_2.4.7-2_amd64.deb
openldap2.3_2.4.7-2.diff.gz
  to pool/main/o/openldap2.3/openldap2.3_2.4.7-2.diff.gz
openldap2.3_2.4.7-2.dsc
  to pool/main/o/openldap2.3/openldap2.3_2.4.7-2.dsc
openldap2.3_2.4.7.orig.tar.gz
  to pool/main/o/openldap2.3/openldap2.3_2.4.7.orig.tar.gz
slapd-dbg_2.4.7-2_amd64.deb
  to pool/main/o/openldap2.3/slapd-dbg_2.4.7-2_amd64.deb
slapd_2.4.7-2_amd64.deb
  to pool/main/o/openldap2.3/slapd_2.4.7-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 221173@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Langasek <vorlon@debian.org> (supplier of updated openldap2.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 21 Jan 2008 06:13:21 -0800
Source: openldap2.3
Binary: slapd libldap-2.4-2 ldap-utils libldap2-dev slapd-dbg libldap-2.4-2-dbg
Architecture: source amd64
Version: 2.4.7-2
Distribution: unstable
Urgency: low
Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Changed-By: Steve Langasek <vorlon@debian.org>
Description: 
 ldap-utils - OpenLDAP utilities
 libldap-2.4-2 - OpenLDAP libraries
 libldap-2.4-2-dbg - Debugging information for OpenLDAP libraries
 libldap2-dev - OpenLDAP development libraries
 slapd      - OpenLDAP server (slapd)
 slapd-dbg  - Debugging information for the OpenLDAP server (slapd)
Closes: 221173 258931 260118 262539 320072 381788 391899 393215 407334 411413 412706 428385 428468 432662 438127 447224 448061 448935 449354 449442 451158 451325 452632 452749 452833 453318 453341 453411 457182 458215
Changes: 
 openldap2.3 (2.4.7-2) unstable; urgency=low
 .
   * Temporarily drop slapi-dev from the package to get through NEW; this
     functionality should be readded later, either by restoring the slapi-dev
     package or by moving it to libldap2-dev, depending on the outcome of
     discussion with the ftp-masters.
 .
 openldap2.3 (2.4.7-1) unstable; urgency=low
 .
   [ Steve Langasek ]
   * New upstream version; closes: #449354.
     - remove another schema from upstream source, collective.schema,
       that contains text from the IETF RFCs and include a stripped copy
       in debian/schema.
     - drop patches slurpd-in-spool and man-slurpd, since slurpd is no
       longer provided upstream.
     - libldap2.3-0 is now libldap2.4-2
     - build libldap2-dev from this source package now, superseding
       openldap2; closes: #428385, #260118, #262539, #391899, #393215.
     - lastmod and denyop have been moved to contrib upstream and are no
       longer shipped as supported overlays
     - drop dependency on libldap2 and take ownership of the
       /etc/ldap/ldap.conf conffile, since libldap2 is now obsolete
     - need to dump and reload databases again for the upgrade from 2.3.39.
     - ldap_init(3) no longer attempts to document the internals of the
       LDAP opaque type.  Closes: #320072.
     - ldap-utils utilities find LDAP servers via SRV records when given a
       URL with -H and no host in the URL. Closes: #221173.
     - if the old slapd.conf included any replica commands, automatically
       enable syncprov for the corresponding database and print an error
       with debconf.
   * slapd.conf and DB_CONFIG are used in the postinst, they shouldn't be
     shipped under doc/examples because /usr/share/doc can't be depended
     on per policy; ship the files under /usr/share/slapd and symlink the
     /other/ way, which also spares us from dh_compress trying to gzip
     slapd.conf.  Closes: #452749.
   * Drop libldap.so as was done for libldap2, making it a link to
     libldap_r.so to avoid unfortunate symbol collisions.
   * Add new patch, libldap-symbol-versions, to build libldap and liblber
     with symbol versions; needed to avoid segfaults when applications
     manage to pull both libldap2 and the new libldap-2.4-2 into the same
     process (as during a partial upgrade or the initial soname
     transition), and also when the library soname changes again in the
     future (as it's likely to do).
   * Reintroduce add-autogen-sh patch, with build deps on libtool, automake,
     and autoconf, required due to the previous patch; this time around, take
     care to clean up the autogenerated files in the clean target as well
   * Build-depend on libgnutls-dev instead of on libssl-dev, so that at long
     last we can build the server and lib from the same source package again
     without licensing problems.  Closes: #457182, #407334, #428468, #381788.
     Closes: #412706.
   * slapd.prerm, slapd.postinst: drop no-longer-needed upgrade code for
     openldap < 2.1.22
   * Ask about ldbm to bdb migration in the preinst, since there is no
     guarantee that the debconf config script will be run before the unpack
     phase.
   * Don't stop slapd in the preinst by hand, the prerm already stops the
     old slapd using the standard interfaces.
   * Don't build with LAN Manager password support; these passwords are more
     insecure than traditional Unix crypt, and only relevant when talking to
     Windows 98.
   * Move libslapi into the slapd package and provide a virtual package for
     library dependencies, since this is expected to stay lockstep with the
     server.
   * Split slapi dev support into a new libslapi-dev package, as this is
     unrelated to libldap; and drop libslapi.a since it would be insane to try
     to statically link a dynamically-loaded slapi plugin.
   * "checkpoint" directives are no longer supported as part of the backend
     config, only as part of the database config; move the lines around in
     slapd.conf on upgrade.
   * "schemacheck" directives are no longer supported; comment them out
     on upgrade since this option was set by default in sarge.
   * Package description updates; thanks to Christian Perrier
     <bubulle@debian.org> and the Smith review project for these
     improvements.
   * Incorporate debconf template changes suggested by the debian-l10n-english
     team as part of the Smith review project.  Closes: #447224.
 .
   [ Russ Allbery ]
   * Removed fix_ldif and all remaining code to try running it on LDIF
     dumps. Schema checking has been imposed since 2.1 and it's highly
     unlikely that anyone still needs this.
   * Move the checkpoint directive in the default slapd.conf below the
     database and suffix directives for the primary database. This is now
     required for OpenLDAP 2.4.
   * Create /etc/ldap/slapd.conf owned by the openldap group and mode 640
     by default so that slapindex and friends can read it when run as the
     openldap user. Fix permissions on upgrade if slapd.conf is owned by
     root and mode 600. Closes: #432662.
   * Drop slapd patch to read slapd.conf before dropping privileges, since
     slapd.conf should now be readable by SLAPD_GROUP.
   * If SLAPD_CONF is set to a directory in /etc/default/slapd, assume
     the cn=config backend is used and start slapd with the appropriate
     options.  Based on a patch from Mike Burr.  Closes: #411413.
   * Rework slapd's README.Debian:
     - Document the BerkeleyDB version.  Closes: #438127.
     - Document how to direct slapd's logs to another file. Closes: #258931.
     - Remove obsolete information about TLS/SSL and OpenLDAP 2.0 upgrades.
     - Recommend HDB instead of BDB.
     - Generally reformat and reorganize.
   * Patch cleanup:
     - Combine the NTLM patches for Evolution into a single patch.
     - Add explanatory comments to every patch.
     - Refresh all patches to remove diff garbage and trailing whitespace.
   * debian/rules cleanup:
     - Fix patch dependencies for parallel build (hopefully).
     - Tell configure the system type.
     - Rewrite upstream_strip_nondfsg.sh as a get-orig-source target.
     - Remove stamp files as the first step of the clean target.
     - Add trivial build-arch and build-indep targets.
     - Remove dead code and unnecessary comments.
   * Remove postrm code to delete /var/lib/slapd/upgrade* flag files.  We
     haven't used those since the 2.1 upgrade.
   * Update Vcs-* headers for new repository layout.
   * Remove versioned dependency on an ancient dpkg-dev.
   * Wrap and reorder Build-Depends for readability.
 .
   [ Updated debconf translations ]
   * Czech, thanks to Miroslav Kure <kurem@debian.cz>.  Closes: #458215.
   * German, thanks to Helge Kreutzmann <debian@helgefjell.de>.
     Closes: #452833.
   * Spanish
   * Finnish, thanks to Esko Arajärvi <edu@iki.fi>.  Closes: #448061.
   * French, thanks to Christian Perrier <bubulle@debian.org>.
     Closes: #452632.
   * Galician, thanks to Jacobo Tarrio <jtarrio@trasno.net>.
     Closes: #451158.
   * Italian, thanks to Luca Monducci <luca.mo@tiscali.it>.  Closes: #449442.
   * Japanese, thanks to Kenshi Muto <kmuto@debian.org>.  Closes: #451325.
   * Dutch, thanks to Bart Cornelis <cobaco@skolelinux.no>.  Closes: #448935.
   * Brazilian Portuguese
   * Portuguese, thanks to Tiago Fernandes <tjg.fernandes@gmail.com>.
     Closes: #453341.
   * Russian, thanks to Yuri Kozlov <kozlov.y@gmail.com>.  Closes: #453318.
   * Vietnamese, thanks to Clytie Siddall <clytie@riverland.net.au>.
     Closes: #453411.
Files: 
 570b101f6cd998a7d70db1a49c6d2bf1 1388 net optional openldap2.3_2.4.7-2.dsc
 aa22bd9f636d66785191716d2d127acd 132176 net optional openldap2.3_2.4.7-2.diff.gz
 eb8d65b07930a681acdc2b100ab57649 3469367 net optional openldap2.3_2.4.7.orig.tar.gz
 861962685143f28a05f56bfc6a280e56 1401080 net optional slapd_2.4.7-2_amd64.deb
 bbd542def71ed5dd4f2ce88ea7ca8fa7 259734 net optional ldap-utils_2.4.7-2_amd64.deb
 be80baf12c8baa28571de35336051b85 198072 libs optional libldap-2.4-2_2.4.7-2_amd64.deb
 2436774125993d3f464f5ab880050b9c 288346 libdevel extra libldap-2.4-2-dbg_2.4.7-2_amd64.deb
 1f86c631143e0c7062a595a7fd73416f 834322 libdevel extra libldap2-dev_2.4.7-2_amd64.deb
 70c31ecf226e1cce53c7e69314d415bf 3528208 net extra slapd-dbg_2.4.7-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHlLtVKN6ufymYLloRAs77AKCr7EXcuuG2D93YvARXE8O0SXxbUwCfZ/zg
vtK2egGbmyTydvkIaYb4KsE=
=EvcV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Feb 2008 07:34:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:27:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.